Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface RegExpLiteralTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface RegExpLiteralTree
      extends ExpressionTree

  Represents regular expression literal in the source code.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getOptions​()` | Regular expression matching options.
    `String` | `getPattern​()` | Regular expression pattern to match.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getPattern

          String getPattern​()

      Regular expression pattern to match.
      Returns:
        regular expression pattern

    - #### getOptions

          String getOptions​()

      Regular expression matching options.
      Returns:
        options like "i" for ignoreCase used